xclade
Admin APICampaigns

Update a Campaign

Update a campaign's details.

POST
/admin/campaigns/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The campaign's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

name?string

The campaign's name.

campaign_identifier?string

The campaign's identifier.

description*string

The campaign's description.

budget?

The campaign's budget.

starts_at*string

The campaign's start date.

Formatdate-time
ends_at*string

The campaign's end date.

Formatdate-time
promotions?

The campaign's promotions.

additional_data?object

Pass additional custom data to the API route. This data is passed to the underlying workflow under the additional_data parameter.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/campaigns/string" \  -H "Content-Type: application/json" \  -d '{    "description": "string",    "starts_at": "2019-08-24T14:15:22Z",    "ends_at": "2019-08-24T14:15:22Z"  }'
{
  "campaign": {
    "id": "string",
    "name": "string",
    "description": "string",
    "currency": "string",
    "campaign_identifier": "string",
    "starts_at": "string",
    "ends_at": "string",
    "budget": {
      "id": "string",
      "type": "spend",
      "currency_code": "string",
      "limit": 0,
      "used": 0,
      "attribute": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}